require 'rails/generators'

module Expandable
  module Generators
    class InitGenerator < Rails::Generators::Base
      desc 'Creates folder structure for expandable.'
      source_root File.expand_path('..', __FILE__)

      def create_structures
        create_path('app/models/expandables')
        create_path('app/controllers/expandables')
      end

      private
        def create_path(base_path)
          if File.exists?(base_path)
            puts 'Directory "' + base_path + '" already exist.'
          else
            Dir.mkdir(base_path)
            FileUtils.touch [base_path, '.keep'].join('/')
            puts 'Directory created: ' + base_path
          end
        end
    end
  end
end
